<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Permission extends \Spatie\Permission\Models\Permission
{
	public function parentInfo(){
        return $this->belongsTo('App\Models\Permission','parent','id');
    }

    public function childrens(){
        return $this->hasMany('App\Models\Permission','parent','id');
    }
}
